Method: projects.locations.provision

Provisions the project resource. During the process, related systems will get prepared and initialized.

Caller must read the Terms for data use, and optionally specify in request to provide consent to that service terms.

HTTP request


POST https://discoveryengine.googleapis.com/v1beta/{name=projects/*/locations/*}:provision

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Full resource name of a Project, such as projects/{project_id_or_number}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "acceptDataUseTerms": boolean,
  "dataUseTermsVersion": string,
  "saasParams": {
    object (SaasParams)
  },
  "provisionIntent": enum (ProvisionIntent),
  "idpConfig": {
    object (IdpConfig)
  }
}
Fields
acceptDataUseTerms

boolean

Required. Set to true to specify that caller has read and would like to give consent to the Terms for data use.

dataUseTermsVersion

string

Required. The version of the Terms for data use that caller has read and would like to give consent to.

Acceptable version is 2022-11-23, and this may change over time.

saasParams

object (SaasParams)

Optional. Parameters for Agentspace.

provisionIntent

enum (ProvisionIntent)

Optional. The caller states whether the provisioning is for the new or the classic Gemini Enterprise experience.

idpConfig

object (IdpConfig)

Optional. The identity provider for this location. When provided, the location's AclConfig is set from it as part of provisioning.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • discoveryengine.projects.provision

For more information, see the IAM documentation.